| Home | Libraries | People | FAQ | More

##### http::buffer_body::value_type::size

The number of octets in the buffer pointed to by `http::buffer_body::value_type::data`.

###### Synopsis

    std::size_t size = 0;

###### Description

###### When Serializing

If `data` is `nullptr` during serialization, this value is ignored. Otherwise, it represents the number of valid body octets pointed to by `data`.

###### When Parsing

The value of this field will be decremented during parsing to indicate the number of remaining free octets in the buffer pointed to by `data`. When it reaches zero, the parser will return `http::need_buffer`, indicating to the caller that the values of `data` and `size` should be updated to point to a new memory buffer.